/**
 * Nokia 1202/1203/1280 LCD display library for PIC16fx86
 *
 * :  
 *    LPC: Ivan A-R <ivan@tuxotronic.org>
 * 
 *  LCD: STE2007.
 * 96 x 68 pixels.
 * 1.3" 27.5 x 19.5 mm active area.
 *    8 ,  1   .
 *   EEPROM 93C86  .
 */

#define USEHW 0     //   SPI
#define FONT_WIDTH 8 // 

void lcd_init(void);    //   
void lcd_clr(void);     // 
void lcd_home(void);    //  (0,0)
void lcd_set_row(unsigned char row);    //   row
void lcd_set_col(unsigned char col);    //   col
void lcd_start_line(unsigned char line);//display start line address of the DDRAM
void lcd_pos(unsigned char row, unsigned char col);//   row,  col
void lcd_char(unsigned char c); // 
void lcd_str(char* str);    // 
void lcd_inverse(unsigned char inv);    // 
void lcd_write_byte(unsigned char data, unsigned char rc); //  data  (rc=0) /  (rc=1)

#ifdef USE_EEPROM
// j   EEPROM   ee_addr  
// 93LC86  15-11 ee_addr = 0 !
void eeprom_to_lcd(unsigned int ee_addr, unsigned char j);
#endif

